--[[
	Due to the fact that not every locale is going to use the same type of definitions or acronyms, each one is it's own module.
	Sadly use of the WoWAce-CurseForge Loclization App is not viable

]]--

if GetLocale() ~= "enUS" then return end

local AcronymGuide = _G.AcronymGuide
local def


local function enUS_Def(self)
	for i = 1, #def do
		self:AddDefinition_A( def[i] )
	end
end

table.insert(AcronymGuide.PlayerLoginFunc, enUS_Def)
--[[
	Conventions:
"txt|LinkText|Title\002Desc"
txt is the acronym with out any formatting, no spaces no dashes nothing and in lower case. 
	don't confuse that h hos and hhos are the same thing, the pattern sees spaces and ther naturall seperators as different elements.
LinkText is the stuff that the user sees
the title and description are seperated by \002. Each \002 is a new line.
]]--

def = {	--Start of Definition File
--For Example
"lfg|LFG|Looking For Group\002Meaning that this player is seeking others to join them in a party for some event",

---------------
--- Commerce and Trade
---------------

"wtb|WTB|Want To Buy\002Indicating this person is seeking to purchace or aquire the following item or thing.",
"wtc|WTC|Want To Craft",
"wts|WTS|Wants To Sell",
"lfw|LFW|Looking for Work\002Usualy found with a tradeskill link afterwards",
"pst|PST|Please Send a Tell",

---------------
--- Grouping and Instancing
--------------
--WOTLK~~~~~~~~~~~~~~~~~~~~~~~~
	--Raids
		--Nax
"hnax|H-Nax|Heroic: Naxxramas\002A Level 80 Raid Instance in Dragon Blight",
"nax|Naxxramas\002A Level 80 Raid Instance in Dragon Blight",

		--OS
"hos|HOS|Halls of Stone\002A level 80, 5 Man instance in Storm Peaks\002Heroic: Obsidian Sanctum\002A Level 80 Raid Instance in Dragon Blight\002 or ",
"os|OS|Obsidian Sanctum\002A Level 80 Raid Instance in Dragon Blight",
		--Mally

		--VoA
"hvoa|H-VoA|Heroic: Vault Of Arcavon\001A Small Level 80 Raid Instance in Wintergrasp",
"voa|VoA|Vault of Archavon\002A small level 80 Raid Instance in Wintergrasp",

		--PvP Event
"wg|WG|Winter Grasp|A PvP Zone in Northrend.\002This May also refer to Valt of Arcavon, a level 80 Raid Instance.",


	--North Rend Instances, Heroic's Must Come first in the chain
		--Nexus
"hnexus|H-Nexus|Heroic Nexus\002A level 80 Heroic in Borean Tundra",
"nexus|Nexus|Nexus\002A level 70 Instance in Borean Tundra",
		--Oculus

		--DTK
"hdtk|H-DTK|Heroic Drak'Tharon Keep\002A Level 80 Heroic in Zul'Drak",
"dtk|DTK|Drak'Tharon Keep\002A level 75 instance in Zul'Drak",

		--Gundrak

		--Ulduar
"hhos|H-HoS|Heroic: Halls of Stone\002A Level 80 Heroic Instance in Storm Peaks",
--"hos" is covered by Hoeric OS
		--Utgard
"huk|H-UK|Hoeric: Utgard Keep\002A Level 80 Heroic in Howling Fjord",
"uk|UK|Utgard Keep\002A Level ~70 5man Instance in Howling Fjord",

		--Azjol
"han|H-AN|Heroic: Azjol-Nerub\002A Level 80 Heroic in Dragonblight",
"an|AN|Azjol-Nerub\002A Level 75 Instance in Dragonblight\002Could also be just the word 'an'",	--Not sure about this one might not include it really.
"hok|H-OK|Heroic Ahn'Kahet: 'The Old Kindom'\002Just refered to as 'Old Kingdom'",	--Not sure about this one either.
"ok|OK|Ahn'Kahet: 'The Old Kindom'\002Just refered to as 'Old Kingdom'\002Might also be just the word 'ok'", --Not sure about this one either.

		--CoT
"hcos|H-CoS|Heroic: Caverns Of Time: Culling of Stratholme\002A Level 80 Heroic. The 4th Wing of Caverns of Time added in Wrath",
"cos|CoS|Caverns Of Time: Culling of Stratholme", "A Level ~79 Instance. The 4th Wing of Caverns of Time added in Wrath",
"strat|Strat|Stratholme\002An old world 5man instance\002Also, Culling of Stratholme, a Wrath 5man Instance",	--to be modified as needed.

		--VH
"hvh|H-VH|Heroic: Violet Hold\002A Level 80 Heoic in Dalaran",
"vh|VH|Violet Hold\002A Level 75 Instance in Dalaran",

"sota|Strand Of The Ancients|A 20man Battleground introduced in Wrath",

--BC~~~~~~~~~~~~~~~~~~~~~
	--BC Instances
"bf|BF|Blood Furnace\002A Outland Instance for lvl 62",
"bm|BM|BlackMorass\002The second instance in Caverns of Time\002Could Also be Beast Mastery, a Hunter Tallent Tree",
"cot|CoT|Caverns Of Time\002A BC and Wrath Instance Hub, in common use it will likely reference the instance\002The Culling of Strathomle, a lvl ~78 Instance",
"mgt|MgT|Magisters' Terrace\002A lvl 70 Instance north of Silvermoon City",

	--BC Raids
"bt|BT|Black Temple\002A Lvl 70 Raid Instance in Shadowmoon Valley in Outland",
"swp|SWP|Sunwell Plateau\002A lvl 70 Raid Instance north of Silvermoon City\002Also: Shadow Word Pain, a priest damage spell",
"za|ZA|Zul'Aman\002A lvl 70, 10man Raid Instance in Ghostlands near Silvermoon City",
"tk|TK|Tempist Keep\002A 4 Wing Instance hun in Netherstorm in Outlands\002'TK' in useage usually referes to the instance 'The Eye', a lvl 70 Raid",
"eots|EotS|Eye Of The Storm\002A 20man Battleground added in BC",


--Classic~~~~~~~~~~~~~~~`
	--Instances
--[["VC",		"[vV][cC]",	"VC",	"Dead Mines", "Dead Mines is called VC, short for VanCleef the last boss in Deadmines", "This is so that it's not confused with Dire Maul a level ~55 instance",
"RFC", 	"[rR][fF][cC]", "RFC",	"Rage Fire Chasim",
"BFD-Instance","[bB][fF][dD]", "BFD",	"Blackfathom Deeps", "Blackfathom Deeps is a partially underwater dungeon in northwestern Ashenvale.",
"BRD", 	"[bB][rR][dD]", "BRD",	"Blackrock Depths", "Lower instance at Blackrock Mountain, in Old World",
"BRD", 	"[bB][rR][sS]", "BRD",	"Blackrock Depths", "Upper instance at Blackrock Mountain, in Old World.", "Also is a 2 Part instance, UBRS and LBRS.",
"DM", 		"[dD][mM]", 	"DM", 	"Dire Maul", "A level ~55 Instance in Feralas. DM has 3 wings, usualy what wing is stated after.", "Not to be confused with Dead Mines",
"ZF", 		"[zZ][fF]", 	"ZF", 	"Zul'Farrak", "A level ~45 Old World Instance in Tanaris",
"RFK", 	"[rR][fF][kK]", "RFK", 	"Razorfen Kraul", "A level 20ish Old World Instance in 'The Barrens' ",
"RFD", 	"[rR][fF][dD]", "RFD", 	"Razorfen Downs", "A level 30ish Old World Instance in 'The Barrens' ",
"scholo",	"[sS][cC][hH][oO][lL][oO]", "Scholo", "Scholomance", " (SKOH-loh-mance), a level 60 5man Instance in Old World",
"SM",		"[sS][mM]",	"SM",	"Scarlet Monistary", "A 4 wing Instance in Tristfal Glades for levels 23 - 40", "Generally what wing comes before or after",

"MC",		"[mM][cC]", 	"MC", 	"Mind Control", "A Priest Spell", " When used as a location it would be in referece to", "Molten Core, a level 60 40man Raid Instance",
"ony", 	"[oO][nN][yY]", "Ony", 	"Onxia", "Old world 40man Raid Boss",
"ZG", 		"[Zz][gG]", 	"ZG", "Zul' Grub", "Old World, 20man Raid Instance in Strangle Thorn Vale",
"AQ20",	"[aA][qQ]20",	"AQ20", "Ruins of Ahn'Qiraj", "Ruins of Ahn'Qiraj is a 20-man Old World raid dungeon located in southern Silithus",
"BWL", 	"[bB][wW][lL]", "BWL", "Black Wing Lair", "A level 60, 40man Raid Instance in Old World",
"AQ40",	"[aA][qQ]40",	"AQ40", "Ruins of Ahn'Qiraj", "Temple of Ahn'Qiraj is a 40-man Old World raid dungeon located in southern Silithus",
]]--
	--Battlegrounds and terms
"ab|AB|Arathi Basin\002A 20 man Battlground from Old World",
	"gm|GM|Great Many Things\002In PvP, often refers to Gold Mine, a node in Arathi Basin\002In Guids, means Guild Master\002Also: Game Master, a Blizzard Customer Service Rep",
	"lm|LM|Lumber Mill\002A Resource Node in Arathi Basin",
	"st|ST| \002 Stables, a Resource Node in Arathi Basin\002Sunken Temple, a lvl ~45 instance in Old World",
"av|AV|Alterc Valley\002A 40 man Battleground from Old World",
"wsg|WSG|Warson Gulch\002A 15man Battleground from Old World",

---------------
--General
---------------
"dps|DPS|Damage Per Second\002Also referes to any class or role that deals damage",
"lfm|LFM|Looking For More",
"lf|LF|Looking For\002    Something to Eat maybe?",
"fp|FP|Flight Point or Path",
"fm|FM|Flight Master",
"mt|MT|Many Things\002 'Mis-Tell', when you say something in the wrong channel\002 Main Tank, indicating somone who should bare the brunt of the damage in an instance\002 Magisters' Terrace, a level 70 BC Instance\002 Mana Tombs, a level ~63 BC Instance",
"ot|OT|Off Tank\002An Assistant to a Main Tank",

--------------
--- Professions
---------------
"jc|JC|Jewlcrafting",
"bs|BS|Blacksmithing\002 A profession\002 Also a Resource node in Arathi Basin",

--------------
--- Prominant Locations
---------------
"lhc|LHC|Lights Hope Chapel\002A 'Town' in Easter Plauge Lands where the Argent Dawn have their headquarters",

}	--End of Definition File



